<h1>Articles</h1>
  
<%= render "search", article: @article %>

<div>
    Our blog has <%= Article.public_count %> articles and counting! <br>
    <%= link_to "New Article", new_article_path %>

    <ul>
        <% @articles.each do |article| %>
            <% unless article.archived? %>
                <li>
                    <%= link_to article.title, article %>
                </li>
            <% end %>
        <% end %>
    </ul>
    <%= will_paginate @articles%>  
</div>
